Package csb :: Package apps :: Module buildhmm :: Class AppRunner

[frames] | no frames]

# Class AppRunner

source code

    object --+
             |
     AppRunner --+
                 |
                AppRunner

Nested Classes
Inherited from `AppRunner`: `__metaclass__`

Instance Methods

ArgHandler

command_line(self) Command line factory: build a command line parser suitable for the application. | source code

Inherited from `AppRunner`: `__init__`, `initapp`, `run` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `AppRunner`: `exit`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
type (class reference) | target Reference to the concrete Application class to run.
Inherited from `AppRunner`: `args`, `module`, `program` Inherited from `object`: `__class__`

Method Details

### command_line(self)

source code

Command line factory: build a command line parser suitable for the application. This is a hook method that each concrete AppRunner must implement.

Returns: ArgHandler
  a command line parser object which knows how to handle `sys.argv` in the context of the concrete application. See the documentation of ArgHandler for more info on how to define command line arguments.
Overrides: AppRunner.command_line
  (inherited documentation)

Property Details

### target

Reference to the concrete Application class to run. This is an abstract property that couples the current `AppRunner` to its corresponding Application.

Get Method:
  unreachable.target(self)
Type:
  type (class reference)